pyfits-utils_3.4-1_all.deb


Advertisement

Description

pyfits-utils - transitional package for astropy-utils

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pyfits-utils
Package version 3.4
Package release 1
Package architecture all
Package type deb
Installed size 11 B
Download size 3.45 KB
Official Mirror archive.ubuntu.com
FITS (Flexible Image Transport System) is a data format most used in
astronomy. PyFITS is a Python module for reading, writing, and manipulating
FITS files. The module uses Python's object-oriented features to provide quick,
easy, and efficient access to FITS files. The use of Python's array syntax
enables immediate access to any FITS extension, header cards, or data items.
This is a dummy transitional package for astropy-utils and can be
safely removed after the installation is complete.

Alternatives

Package Version Architecture Repository
pyfits-utils_3.4-1_all.deb 3.4 all Ubuntu Universe
pyfits-utils - - -

Requires

Name Value
astropy-utils -

Download

Type URL
Binary Package pyfits-utils_3.4-1_all.deb
Source Package pyfits

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyfits-utils deb package:
    # sudo apt-get install pyfits-utils

Files

Path
/usr/share/doc/pyfits-utils/changelog.Debian.gz
/usr/share/doc/pyfits-utils/copyright

Changelog

2016-02-02 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.4-1) unstable; urgency=medium
* New upstream version:
- Support recent numpy versions (closes: #812302).
- Drop 02-fitscheck-exception.diff (merged).
- Drop 03-testsuite-ignore-deprecated.diff (merged).
- Drop 04-replace-inspect-by-funcsigs.diff (merged).
- Drop 05-checksum-32-bit.diff (merged).
* Add 02-numpy-deprecation-warning.diff to fix issues with recent numpy
versions.
2015-10-18 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-7) unstable; urgency=medium
* Stop exporting SOURCE_DATE_EPOCH in debian/rules now that it's
exported by default in debhelper.
2015-10-03 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-6) unstable; urgency=medium
* Add patches/05-checksum-32-bit.diff to fix a checksum issue on 32-bit
hosts.
2015-10-03 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-5) unstable; urgency=medium
* Add patches/03-testsuite-ignore-deprecated.diff to not trigger
warnings when testing deprecated functions.
* Add patches/04-replace-inspect-by-funcsigs.diff to use funcsigs
instead of inspect.getargspec which is deprecated in Python 3.5.
Closes: #800683.
* Build depends on stsci.distutils (>= 0.3.7-2) and export
SOURCE_DATE_EPOCH in debian/rules to have identical version.py files in
python3.x builds. That way dh_python3 can merge them into
/usr/lib/python3/dist-packages.
2015-06-27 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-4) unstable; urgency=medium
* Replace pyfits-utils by a transitional package depending on
astropy-utils. Closes: #782817.
* Drop the fitscheck transitional package.
2015-04-26 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-3) unstable; urgency=medium
* Build-depends on libcfitsio-dev instead of libcfitsio3-dev. Closes:
#761715.
* Bump Standards-Version to 3.9.6 (no changes).
2014-08-02 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-2) unstable; urgency=medium
* Add patches/02-fitscheck-exception.diff to fix a syntax error with python
3. Closes: #756587.
* Add an explicit build-depends on dh-python.
2014-07-25 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.3-1) unstable; urgency=medium
* New upstream version.
* Rewrite debian/rules using dh.
2014-04-29 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.2.2-1) unstable; urgency=medium
* New upstream version. 
2013-12-07 - Aurelien Jarno <aurel32@debian.org>
pyfits (1:3.2-1) unstable; urgency=low
* New upstream version.
* Bump Standards-Version to 3.9.5 (no changes).
* Remove build-depends on zlib1g-dev and remove patches/01-zlib.diff.
* Add build-depends on libcfitsio3-dev and add 
patches/01-system-cfitsio.diff.
* Update debian/copyright.
* Install upstream changelog now that it is provided in the upstream
tarball.
* Don't compress the binary packages with xz, it's now the dpkg's default.

See Also

Package Description
pyflakes3_1.1.0-2_all.deb passive checker of Python 2 and 3 programs
pyflakes_1.1.0-2_all.deb passive checker of Python 2 and 3 programs
pyformex-lib_0.8.6-4ubuntu3_amd64.deb program to create 3D geometry from Python scripts
pyformex_0.8.6-4ubuntu3_all.deb program to create 3D geometry from Python scripts
pyftpd_0.8.5+nmu1_all.deb ftp daemon with advanced features
pyg_0.9.8ubuntu2_amd64.deb Python Mail <-> News Gateway
pygfarm_2.0.18.3+nmu4ubuntu1_all.deb Collection of add-on modules for Pygopherd
pygopherd_2.0.18.3+nmu4ubuntu1_all.deb Modular Multiprotocol Gopher/HTTP/WAP Server in Python
pyhoca-cli_0.5.0.2-1_all.deb Command line X2Go client written in Python
pyhoca-gui_0.5.0.4-1_all.deb Graphical X2Go client written in (wx)Python
pyicqt_0.8.1.5-6_all.deb ICQ transport for Jabber
pykaraoke-bin_0.7.5-1.1_all.deb free CDG/MIDI/MPEG karaoke player
pykaraoke_0.7.5-1.1_all.deb free CDG/MIDI/MPEG karaoke player
pylang_0.0.4-0ubuntu3_amd64.deb complete right sentence with random words generated
pyliblo-utils_0.10.0-1build2_all.deb Command line utilities for sending and receiving OSC messages
Advertisement
Advertisement